Microdia camera (0c45:6437) does not function after suspend

Bug #816484 reported by Chris Van Hoof on 2011-07-26
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Ming Lei
Natty
Undecided
Unassigned
Oneiric
Medium
Ming Lei

Bug Description

From 2f485a24a5732b980f2d1c7097469f07cb848c70 Mon Sep 17 00:00:00 2001
From: Ming Lei <email address hidden>
Date: Sat, 16 Jul 2011 11:29:45 +0800
Subject: [PATCH][Natty SRU] UBUNTU: SAUCE: uvcvideo: add SetInterface(0) in .reset_resume handler

As commented in uvc_video_init,

 /* Alternate setting 0 should be the default, yet the XBox Live Vision
  * Cam (and possibly other devices) crash or otherwise misbehave if
  * they don't receive a SET_INTERFACE request before any other video
  * control request.
  */

so it does make sense to add the SetInterface(0) in .reset_resume
handler so that this kind of devices can work well if they are reseted
during resume from system or runtime suspend.

We have found, without the patch, Microdia camera(0c45:6437) can't send
stream data any longer after it is reseted during resume from
system suspend.

"""
SRU Justification:

Impact:
 - without the patch, the Microdia camera(0c45:6437) can't
 work after system resume

Fix:
 - After applying the patch, the camera can work well after
 system resume

upstream discusstion: http://marc.info/?t=131037773100002&r=1&w=2
"""

Chris Van Hoof (vanhoof) wrote :
Changed in linux (Ubuntu):
assignee: nobody → Ming Lei (tom-leiming)
importance: Undecided → Medium
status: New → Confirmed
description: updated
tags: added: hwe-blocker
Chris Van Hoof (vanhoof) on 2011-09-12
tags: added: blocks-hwcert-enablement
removed: hwe-blocker
Chris Van Hoof (vanhoof) on 2011-09-29
tags: added: blocks-hwcert natty oneiric
Tim Gardner (timg-tpi) wrote :

Natty: UBUNTU: SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus has been reset

Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed

The attachment "0001-uvcvideo-add-SetInterface-0-in-.reset_resume-handler.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Ara Pulido (ara) wrote :

Was this released in Oneiric?

Hi,

On Mon, Oct 10, 2011 at 7:27 PM, Ara Pulido <email address hidden> wrote:
> Was this released in Oneiric?

For now, it isn't, but I think it will be merged in later update of
Oneiric kernel.

The patch has been in upstream kernel 3.1-rc9 already.

thanks,
--
Ming Lei

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Ming Lei (tom-leiming) wrote :

SRU verification done:
        3.0.0-13-generic does fix the issue on Latitude XT3

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem (2.6.38-13.52). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Ming Lei (tom-leiming) on 2011-11-14
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
tags: added: verification-done-natty
removed: verification-needed-natty
Changed in linux (Ubuntu Natty):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.52

---------------
linux (2.6.38-13.52) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887379

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Upstream Kernel Changes ]

  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
  * e1000e: workaround for packet drop on 82579 at 100Mbps
    - LP: #870127
  * eCryptfs: Remove unnecessary grow_file() function
    - LP: #745836
  * eCryptfs: Remove ECRYPTFS_NEW_FILE crypt stat flag
    - LP: #745836
  * block: blkdev_get() should access ->bd_disk only after success
    - LP: #857170
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * drm/i915: don't enable plane, pipe and PLL prematurely
    - LP: #812638
  * drm/i915: add pipe/plane enable/disable functions
    - LP: #812638
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 07 Nov 2011 22:11:51 -0200

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers